Subject: RE: Problem with namespace...
From: [email-masked] (John Kennedy)

31 Oct 1998 00:17:45 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: "Mumit Khan" <[email-masked]>
Cc: "Gnu-Win32 Maillist" <[email-masked]>

Yep -- that was it!  I should have considered that, but I'm new to this
project and hadn't noticed that they were using a different STL library (The
project is designed to compile and run on a variety of platforms).  There
are still compilation errors, but not because of namespace -- I get to go
sort those out now...

Thank you for your assistance...
JD Kennedy
Raytheon Systems Company
Colorado Springs
719-637-7015

-----Original Message-----
From: Mumit Khan [mailto:[email-masked]]
Sent: Thursday, October 29, 1998 3:24 PM
To: John Kennedy
Cc: Gnu-Win32 Maillist
Subject: Re: Problem with namespace...

"John Kennedy" <[email-masked]> writes:
> Greetings:
>
> I'm trying to compile a large library of code and some of the routines use
> namespaces.  I'm running under NT4/sp3, using B19.1, egcs 1.1, [gcc
version
> egcs-2.91.57 19980901 (egcs-1.1 release)] and configure reports that yes,
> indeed, namespace support is present.  Yet when I run make, I get this in
> the report:
> === The 'make' report:
>
+ -Dgnu=1 -DOSNAME=cygwin32 -DCPUARCH_i386=1   -I../../../../../include/st
> l/gnu_cygwin32 -I.  -I../../../../../include   Buffer.cc -c -o
> .objects/cygwin32-4.0-gnu/Buffer.o
> ../../../../../include/stl/gnu_cygwin32/stl_relops.h:39: sorry, not
> implemented: namespace
> ../../../../../include/stl/gnu_cygwin32/stl_relops.h:66: sorry, not
> implemented: using directive
> make[1]: *** [.objects/cygwin32-4.0-gnu/Buffer.o] Error 1
>
> === Line 39 in stl_relops.h contains a macro (__STL_BEGIN_NAMESPACE)
defined
> by:
> #  define __STL_BEGIN_NAMESPACE namespace std {
> [substituting the definition directly generated the same response]
>
> === Line 66 in stl_relops.h contains a macro (using namespace
__STD_RELOPS;)
> defined by:
> #   define __STD_RELOPS std::relops

Looks like you're using a different version of SGI STL library than the
one provided with egcs-1.1. If you indeed are using a different/local
version, please don't do that; if you must, you're on your own.

> [ ... ] -I../../../../../include/stl/gnu_cygwin32 .
				   ^^^^^^^^^^^^^^^^ ??? local STL ???
Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".